function copy_to_clipboard(event) {
    let element = event.target;
    let address = find_address(element);
  
    // Copy address to clipboard.
    navigator.clipboard.writeText(address);
};

function find_address(element) {
    if (element.dataset.address != undefined) {
        return element.dataset.address;
    }
    else {
        return find_address(element.parentNode);
    }
};

function open_in_new_tab(event) {
    let element = event.target;

    if (event.target.nodeName != "A") {
        let url = find_address(element);

        let win = window.open(url, '_blank');
        win.focus();
    }
}