let rules = document.getElementById("rules");
rules.classList.add("rules_div_fade");

let show_rules_button = document.getElementById("rules-show-all-button");
show_rules_button.style.display = "block";

let expanded = false;

function expand_rules() {
    if (expanded) {
        expanded = false;
        show_rules_button.children[1].style.transform = "rotate(-90deg)";
        show_rules_button.children[0].textContent = "Show all rules:";
        
        rules.classList.add("rules_div_fade");
    } 
    else {
        expanded = true;
        show_rules_button.children[1].style.transform = "rotate(90deg)";
        show_rules_button.children[0].textContent = "Hide all rules:";

        rules.classList.remove("rules_div_fade");
    }
};